@font-face {
  font-family: 'BariolBold';
  font-display: fallback;
  src: url('Bariol-Bold.woff') format('woff');
}

body {
  box-sizing: border-box;
  background-color: #d8d8d8;
  text-align: center;
  padding-top: 1vmin;
  font-family: 'BariolBold', Arial, sans-serif;
  font-size: 5vmin;
  transition: background-color 1s;
  user-select: none;
/*   overflow: hidden; */
}

#difficulty {
  user-select: auto;
}


#playTable table, #playTable tr, #playTable td {
  border-collapse: separate;
}

#playTable {
  user-select: none;
  display: inline-block;
  box-sizing: border-box;
  border-style: solid;
  border-width: 2px;
  border-color: black;
  border-radius: 2.5vmin;
  font-family: 'BariolBold', Arial, sans-serif;
  background-color: black;
  overflow: hidden;
  margin-top: 0.5em;
}

#playTable td {
  position: relative;
  box-sizing: border-box;
  padding: 0;
  border-style: none;
  border-color: #444;
  background-color: white;
  overflow: hidden;
  height: 27vmin;
  width: 27vmin;
  user-select: none;
}

#playTable tr:first-child td:first-child {
  border-radius: 2vmin 0 0 0;
}
#playTable tr:first-child td:last-child {
  border-radius: 0 2vmin 0 0;
}
#playTable tr:last-child td:first-child {
  border-radius: 0 0 0 2vmin;
}
#playTable tr:last-child td:last-child {
  border-radius: 0 0 2vmin 0;
}




.place {
  box-sizing: border-box;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: table-cell;
  vertical-align: middle;
  font-size: 24vmin;
  padding: 0;
  text-align: center;
  background-color: white;
  opacity: 0;
  transform: scale(1.5);
  transition: opacity 0.3s, transform 0s 0.3s;
  user-select: none;
  transform-origin: center;
}

.showing {
  opacity: 1;
  transform: scale(1);
  transition: opacity 0.2s cubic-bezier(0, 0, .2, 1), transform 0.2s cubic-bezier(0, 0, .2, 1);
  user-select: none;
}

.frozen {
  pointer-events: none;
}

.X, .O {
  pointer-events: none;
}

.O {
  background-color: #64b5f6;
}

.X {
  background-color: #aed581;
}

.Owon {
  background-color: #90caf9;
}

.Xwon {
  background-color: #c5e1a5;
}

.X:before {
  content: 'X'
}

.O:before {
  content: 'O'
}

#whichTurnDiv {
  box-sizing: border-box;
  display: inline-table;
  vertical-align: middle;
  margin-left: 0.2em;
  width: 1.3em;
  height: 1.3em;
  border-style: solid;
  border-width: 2px;
  border-color: black;
  border-radius: 0.3em;
  text-align: center;
  user-select: none;
}

.button {
  display: inline-block;
  box-sizing: border-box;
  background-color: white;
  border-width: 2px;
  border-style: solid;
  border-color: black;
  border-radius: 2em;
  text-align: center;
  width: 7em;
  padding: 0.5em;
  margin: 0.5em;
  user-select: none;
  transition: background-color 0.3s cubic-bezier(0, 0, .2, 1);
}

#modeScreen .button {
  width: 100%;
  margin: 0;
  font-size: 4.5vmin;
  padding: 0.5em 1em;
}

.button.X_button:active {
  background-color: #c5e1a5;
  transition: background-color 0s;
}

.button.O_button:active {
  background-color: #90caf9;
  transition: background-color 0s;
}

#modeScreen {
  box-sizing: border-box;
  position: fixed;
  display: table-cell;
  text-align: center;
  background-color: #d8d8d8;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.6s linear;
  pointer-events: none;
  user-select: none;
}

#modeScreen.showing{
  opacity: 1;
  transition: opacity 0.3s cubic-bezier(0, 0, .2, 1);
  user-select: none;
  pointer-events: auto;
}



#modeTable {
  box-sizing: border-box;
  display: inline-table;
  position: relative;
  max-width: 85%;
  min-width: 10em;
  user-select: none;
  opacity: 0;
  transform: scale(1.5);
  transform-origin: center;
  transition-delay: 0.6s;
  transition-duration: 0s;
  transition-property: opacity, transform;
}

#modeScreen.showing #modeTable {
  transition-delay: 0.3s;
  transition-duration: 0.2s;
  transform: scale(1);
  opacity: 1;
}

#modeTableHolder {
  position: absolute;
  width: 100%;
  top: 50%;
  transform: translatey(-50%);
}

#modeTable tr {
  box-sizing: border-box;
}

#modeTable td {
  box-sizing: border-box;
  position: relative;
  padding-bottom: 0.6em;
  user-select: none;
}

#modeTable td.difficultyLevelLabel {
  box-sizing: border-box;
  position: relative;
  padding-bottom: 0.1em;
  user-select: none;
  font-size: 4vmin;
  line-height: 1.1em;
}

#modeTable tr:last-child td {
  padding-bottom: 0;
  padding-top: 10vmin;
}


#modeTable td.singlePlayer {
  padding-bottom: 0.3em;
/*   padding-top: 0.5em; */
  font-size: 5vmin;
}